package domain

import (
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/util"
)

type AlibabaWdkWholesaleOutboundorderCommitContainerDo struct {
	/*
	   数量     */
	Quantity *string `json:"quantity,omitempty" `

	/*
	   容器编码     */
	ContainerCode *string `json:"container_code,omitempty" `

	/*
	   生产日期     */
	ProductionDate *util.LocalTime `json:"production_date,omitempty" `
}

func (s *AlibabaWdkWholesaleOutboundorderCommitContainerDo) SetQuantity(v string) *AlibabaWdkWholesaleOutboundorderCommitContainerDo {
	s.Quantity = &v
	return s
}
func (s *AlibabaWdkWholesaleOutboundorderCommitContainerDo) SetContainerCode(v string) *AlibabaWdkWholesaleOutboundorderCommitContainerDo {
	s.ContainerCode = &v
	return s
}
func (s *AlibabaWdkWholesaleOutboundorderCommitContainerDo) SetProductionDate(v util.LocalTime) *AlibabaWdkWholesaleOutboundorderCommitContainerDo {
	s.ProductionDate = &v
	return s
}
